FROM openjdk:11.0.13-slim-buster

ADD dhsdk /

WORKDIR /dhsdk

RUN echo 'export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/dhsdk:/dhsdk/lib'>>/etc/profile \
    && /bin/bash -c 'source /etc/profile'

CMD ["java","--version"]

# 打包之前先解压dhsdk.zip文件
# docker build -f Dockerfile -t marsal1212/dhsdk-java11:latest .
# 是为了gps-pass中的大华sdk单独做的镜像